Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class CollectionFactory<T>

    java.lang.Object
      edu.stanford.nlp.util.CollectionFactory<T>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CollectionFactory.ArrayListFactory, CollectionFactory.HashSetFactory, CollectionFactory.LinkedListFactory

    public abstract class CollectionFactory<T>

extends Object
implements Serializable

Factory for vending Collections. It's a class instead of an interface because I guessed that it'd primarily be used for its inner classes.

Author:
  Dan Klein (klein@cs.stanford.edu)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `CollectionFactory.ArrayListFactory<T>`
`static class` | `CollectionFactory.HashSetFactory<T>`
`static class` | `CollectionFactory.LinkedListFactory<T>`

Field Summary
`static CollectionFactory` | `ARRAY_LIST_FACTORY`
`static CollectionFactory` | `HASH_SET_FACTORY`
`static CollectionFactory` | `LINKED_LIST_FACTORY`

Constructor Summary
`CollectionFactory()`

Method Summary
`static
`<E> CollectionFactory<E>`
` | `arrayListFactory()` Return a factory for making ArrayList Collections.
`static
`<E> CollectionFactory<E>`
` | `hashSetFactory()`
`static
`<E> CollectionFactory<E>`
` | `linkedListFactory()`
`abstract Collection<T>` | `newCollection()`
`abstract Collection<T>` | `newEmptyCollection()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARRAY_LIST_FACTORY

    public static final CollectionFactory ARRAY_LIST_FACTORY

### LINKED_LIST_FACTORY

    public static final CollectionFactory LINKED_LIST_FACTORY

### HASH_SET_FACTORY

    public static final CollectionFactory HASH_SET_FACTORY

Constructor Detail

### CollectionFactory

    public CollectionFactory()

Method Detail

### newCollection

    public abstract Collection<T> newCollection()

### newEmptyCollection

    public abstract Collection<T> newEmptyCollection()

### arrayListFactory

    public static <E> CollectionFactory<E> arrayListFactory()

  Return a factory for making ArrayList Collections. This method allows type safety in calling code.

  Returns:
    A factory for ArrayList collections.

### linkedListFactory

    public static <E> CollectionFactory<E> linkedListFactory()

### hashSetFactory

    public static <E> CollectionFactory<E> hashSetFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group